@import '../styles/colors.scss';

.selectWrapper {
  margin: 10px 20px 10px 0;
  position: relative;
  height: 40px;

  &.borderRed .coutry__control {
    border-color: $light_red;
  }

  & .indicator {
    width: 10px;
    height: 10px;
    border-left: 1px solid $light_black;
    border-top: 1px solid $light_black;
    position: absolute;
    top: 12px;
    right: 14px;
    transform: rotate(225deg);
    cursor: pointer;
  }

  & .coutry__control {
    border-color: $middle_grey;
    height: 40px;
  }

  & .coutry__control--menu-is-open .indicator {
    top: 17px;
    transform: rotate(45deg);
  }

  & .coutry__value-container {
    padding: 6px 12px;
  }

  & .coutry__value-container,
  & .coutry__placeholder {
    font-style: normal;
    font-weight: 300;
    font-size: 16px;
    line-height: 18px;
    color: $black;
  }
}
